/*
 * Example_Code.ino
 *
 * Board: Raspberry Pi Pico
 * USB Stack: Pico SDK
 *
 * Pete Prodoehl <pete@2xlnetworks.com>
 * 
 * Install the Bouce2 library: https://github.com/thomasfredericks/Bounce2
 * Install the RP2040 board: https://github.com/earlephilhower/arduino-pico/releases/download/global/package_rp2040_index.json
 * 
 */


#include <Bounce2.h>
#include "Keyboard.h"
#include "ascii-convert.h"

int bttnPin1 = 9;
int bttnPin2 = 10;
int LEDPin   = 25;

Bounce button1 = Bounce(bttnPin1, 50); // Left
Bounce button2 = Bounce(bttnPin2, 50); // Right

void setup() {
  pinMode(bttnPin1, INPUT_PULLUP);
  pinMode(bttnPin2, INPUT_PULLUP);
  pinMode(LEDPin, OUTPUT);
  digitalWrite(LEDPin, HIGH);
}

void loop() {

  if (button1.update()) {
    if (button1.fell()) {
      Keyboard.press(KEY_LEFT_SHIFT);
      Keyboard.write(KEY_1);
      }
    if (button1.rose()) {
        Keyboard.release(KEY_1);
        Keyboard.release(KEY_LEFT_SHIFT);
    }
  }

  if (button2.update()) {
    if (button2.fell()) {
      Keyboard.press(KEY_LEFT_SHIFT);
      Keyboard.write(KEY_2);
      }
    if (button2.rose()) {
      Keyboard.release(KEY_2);
      Keyboard.release(KEY_LEFT_SHIFT);
    }
  }

}
