// ASCI Decimal Codes and other Keys
//
// Pete Prodoehl <pete@2xlnetworks.com>
// 
// 2023-04-30
// 

#define KEY_A	97
#define KEY_B	98
#define KEY_C	99
#define KEY_D	100
#define KEY_E	101
#define KEY_F	102
#define KEY_G	103
#define KEY_H	104
#define KEY_I	105
#define KEY_J	106
#define KEY_K	107
#define KEY_L	108
#define KEY_M	109
#define KEY_N	110
#define KEY_O	111
#define KEY_P	112
#define KEY_Q	113
#define KEY_R	114
#define KEY_S	115
#define KEY_T	116
#define KEY_U	117
#define KEY_V	118
#define KEY_W	119
#define KEY_X	120
#define KEY_Y	121
#define KEY_Z	122

#define KEY_1	49
#define KEY_2	50
#define KEY_3	51
#define KEY_4	52
#define KEY_5	53
#define KEY_6	54
#define KEY_7	55
#define KEY_8	56
#define KEY_9	57
#define KEY_0	48

#define KEY_SPACE		32
#define KEY_QUOTE		34
#define KEY_COMMA		44
#define KEY_MINUS		45
#define KEY_PERIOD		46
#define KEY_SLASH		47
#define KEY_SEMICOLON	59
#define KEY_EQUAL		61
#define KEY_BACKSLASH	92

#define KEY_LEFT_BRACE  123
#define KEY_RIGHT_BRACE	125
#define KEY_TILDE		126

#define KEY_MEDIA_MUTE			127
#define KEY_MEDIA_VOLUME_INC	128
#define KEY_MEDIA_VOLUME_DEC	129



// Experimental!
//#define KEY_MEDIA_STOP		120
//#define KEY_MEDIA_PAUSE		120
//#define KEY_MEDIA_VOLUME_DEC	129
//#define KEY_MEDIA_VOLUME_INC	128
//#define KEY_MEDIA_MUTE		127



/* --------------------------------------------------------------------------------------- */

/* BELOW IS FOR REFERENCE ONLY - NOT NEEDED IN CODE
//
// https://www.arduino.cc/reference/en/language/functions/usb/keyboard/keyboardmodifiers/
//


// Keys by Name (and Decimal Value)

// Modifier Keys
//
KEY_LEFT_CTRL	128
KEY_LEFT_SHIFT	129
KEY_LEFT_ALT	130
KEY_LEFT_GUI	131
KEY_RIGHT_CTRL	132
KEY_RIGHT_SHIFT	133
KEY_RIGHT_ALT	134
KEY_RIGHT_GUI	135


// Special Keys
//
KEY_TAB			179
KEY_CAPS_LOCK	193
KEY_BACKSPACE	178
KEY_RETURN		176
KEY_MENU		237


// Navigation Keys
//
KEY_INSERT		209
KEY_DELETE		212
KEY_HOME		210
KEY_END			213
KEY_PAGE_UP		211
KEY_PAGE_DOWN	214
KEY_UP_ARROW	218
KEY_DOWN_ARROW	217
KEY_LEFT_ARROW	216
KEY_RIGHT_ARROW	21


// Numeric Keypad
//
KEY_NUM_LOCK	219
KEY_KP_SLASH	220
KEY_KP_ASTERISK	221
KEY_KP_MINUS	222
KEY_KP_PLUS		223
KEY_KP_ENTER	224
KEY_KP_1		225
KEY_KP_2		226
KEY_KP_3		227
KEY_KP_4		228
KEY_KP_5		229
KEY_KP_6		230
KEY_KP_7		231
KEY_KP_8		232
KEY_KP_9		233
KEY_KP_0		234
KEY_KP_DOT		235


 // Escape and Function Keys
 //
KEY_ESC			177
KEY_F1			194
KEY_F2			195
KEY_F3			196
KEY_F4			197
KEY_F5			198
KEY_F6			199
KEY_F7			200
KEY_F8			201
KEY_F9			202
KEY_F10			203
KEY_F11			204
KEY_F12			205
KEY_F13			240
KEY_F14			241
KEY_F15			242
KEY_F16			243
KEY_F17			244
KEY_F18			245
KEY_F19			246
KEY_F20			247
KEY_F21			248
KEY_F22			249
KEY_F23			250
KEY_F24			251


// Function Control Keys
//
KEY_PRINT_SCREEN	206
KEY_SCROLL_LOCK		207
KEY_PAUSE			208


---------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------
// https://forum.arduino.cc/t/arduino-leonardo-as-usb-keyboard-multimedia-keys/681731/3

// KEYBOARD SPECIAL - THESE DO NOT WORK
120				Keyboard Stop ??
121				Keyboard Again ??
122				Keyboard Undo ??
123				Keyboard Cut ??
124				Keyboard Copy ??
125				Keyboard Paste ??
126				Keyboard Find ??

// MEDIA KEYS - THESE DO NOT WORK
KEY_MEDIA_PLAY
KEY_MEDIA_PAUSE
KEY_MEDIA_RECORD
KEY_MEDIA_STOP
KEY_MEDIA_REWIND
KEY_MEDIA_FAST_FORWARD
KEY_MEDIA_PREV_TRACK
KEY_MEDIA_NEXT_TRACK
KEY_MEDIA_PLAY_PAUSE
KEY_MEDIA_PLAY_SKIP
KEY_MEDIA_EJECT

*/